from random import randrange

# Nombre de des
dices = raw_input("Combien de des voulez-vous lancer ? ")
if dices.isdigit():
    print "Vous allez lancer %s des." % (dices)
else:
    print "Merci d'entrer un nombre positif et rien d'autre."
    exit()

# Gestion du nombre de faces
faces = raw_input("Combien de faces les des doivent-ils avoir ? ")
if faces > 1 and faces.isdigit():
    print "Les des auront %s faces." % (faces)
else:
    print "Merci d'entrer un nombre positif superieur a 1 et rien d'autre."
    exit()

# Lancer
total = 0
for number in range(int(dices)):
    result = randrange(1, int(faces) + 1)
    total += result
    print "  |" + str(result) + "|  ",

print
grand_total = round(float(total) / float(dices), 2)
print "Grand total = %s pour %s des a %s faces. La moyenne est de %s pour chaque de %s faces." % (str(total), dices, faces, grand_total, faces)